Bug 526745

Summary: <3>Out of memory: kill process 262 (anaconda) score 3089 or a child
Product: [Fedora] Fedora Reporter: James Laska <jlaska>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dougsland, gansalmon, itamar, jturner, kernel-maint, pavan.naregundi, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-16 09:29:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 473303    
Attachments:
Description Flags
/tmp/syslog none

Description James Laska 2009-10-01 12:07:12 EDT
Created attachment 363367 [details]
/tmp/syslog

Description of problem:

While installing rawhide-20091001 to a IBM Power6 (eclipz) system, the installer dies at random points during stage#2.

Version-Release number of selected component (if applicable):

 * anaconda-12.32

How reproducible:

 * I'm able to consistently hit this on just the power6 system, but it happens at different steps each attempt

Steps to Reproduce:
1. Boot the installer using any available means on a IBM Power6 system [1]
2. Proceed with a URL install using VNC
3. Connect to VNC and continue installing, accepting all defaults
  
[1] Include the boot argument 'nokill' in order to debug the failure after anaconda is OOM killed

Actual results:

VNC exits and the serial console shows ...

<3>Out of memory: kill process 262 (anaconda) score 3089 or a child
<3>Killed process 324 (anaconda)
<4>anaconda used greatest stack depth: 4576 bytes left

Expected results:

No OOM Kill

Additional info:

 * See attached syslog for more complete failure information
Comment 1 Chris Lumens 2009-10-01 13:13:31 EDT
There are so many errors in this syslog.  There are several kernel errors, plus lvm invoking OOM killer, then finally anaconda.  Here's the first error, so let's start with that one and see if fixing it fixes all the others.

<4>mount: page allocation failure. order:5, mode:0xc0d0
<4>Call Trace:
<4>[c000000005c9b340] [c000000000014104] .show_stack+0x94/0x1c0 (unreliable)
<4>[c000000005c9b3f0] [c00000000079b1e0] .dump_stack+0x28/0x3c
<4>[c000000005c9b470] [c0000000001a417c] .__alloc_pages_nodemask+0x634/0x748
<4>[c000000005c9b5d0] [c0000000001df4b0] .alloc_pages_current+0xa0/0x100
<4>[c000000005c9b670] [c0000000001a1f38] .__get_free_pages+0x38/0x90
<4>[c000000005c9b700] [c0000000001ed148] .__kmalloc+0x240/0x308
<4>[c000000005c9b7d0] [c0000000002d52d0] .ext4_fill_super+0x12c8/0x2a28
<4>[c000000005c9b930] [c000000000200254] .get_sb_bdev+0x1ac/0x228
<4>[c000000005c9ba20] [c0000000002cfd48] .ext4_get_sb+0x58/0x78
<4>[c000000005c9bad0] [c0000000001ffb70] .vfs_kern_mount+0xb8/0x1d8
<4>[c000000005c9bb90] [c0000000001ffd60] .do_kern_mount+0x78/0x170
<4>[c000000005c9bc40] [c0000000002231c8] .do_mount+0x4f8/0xa78
<4>[c000000005c9bd50] [c000000000257dd4] .compat_sys_mount+0x23c/0x2f8
<4>[c000000005c9be30] [c0000000000085f0] syscall_exit+0x0/0x40
Comment 2 Chuck Ebbert 2009-10-05 00:42:33 EDT
How much memory does the system have? At the top it seems to be saying it has 384MB. If that's true and you also didn't configure swap then it's hardly likely that a NUMA system with 2 nodes and 12 CPUS would install with that.
Comment 3 James Laska 2009-10-13 15:38:36 EDT
sh-4.0# cat /proc/meminfo 
MemTotal:         333460 kB
MemFree:           10476 kB
Buffers:            4632 kB
Cached:           190840 kB
SwapCached:            0 kB
Active:            70604 kB
Inactive:         100036 kB
Active(anon):      65328 kB
Inactive(anon):    85616 kB
Active(file):       5276 kB
Inactive(file):    14420 kB
Unevictable:       52344 kB
Mlocked:               0 kB
SwapTotal:             0 kB
SwapFree:              0 kB
Dirty:                 0 kB
Writeback:             0 kB
AnonPages:         27628 kB
Mapped:            11112 kB
Slab:              80528 kB
SReclaimable:      11588 kB
SUnreclaim:        68940 kB
PageTables:          844 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:      166728 kB
Committed_AS:     229168 kB
VmallocTotal:   8589934592 kB
VmallocUsed:        5568 kB
VmallocChunk:   8589909420 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:      16384 kB
Comment 4 Chuck Ebbert 2009-10-16 08:56:36 EDT
The specified minimum is 512MB
Comment 5 James Laska 2009-10-16 09:29:57 EDT
Yes apologies for the bz.  Who stole my memory?  Arghhh :(